package entity

type Notification struct {
	ID        int8
	Type      NotificationType
	Recipinet string
	Body      string
	Status    NotificationStatus
}

type NotificationType uint8

const (
	Email NotificationType = iota + 1
	SMS
	Push
)

func (t NotificationType) String() string {
	switch t {
	case Email:
		return "Email"
	case SMS:
		return "SMS"
	case Push:
		return "Push"
	default:
		return "Unknown"
	}
}

type NotificationStatus uint8

const (
	Pending NotificationStatus = iota + 1
	Success
	Failed
)

func (t NotificationStatus) String() string {
	switch t {
	case Pending:
		return "Pending"
	case Success:
		return "Success"
	case Failed:
		return "Failed"
	default:
		return "Unknown"
	}
}
